Bug 256681 - localhost entry required in /etc/hosts
localhost entry required in /etc/hosts
Status: CLOSED CURRENTRELEASE
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
unspecified
All All
medium Severity low
: ---
: ---
Assigned To: Clark Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 11:13 EDT by BJ Dierkes
Modified: 2013-01-09 23:24 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.9.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 15:31:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to create /etc/hosts with a localhost entry. (614 bytes, patch)
2007-08-27 11:13 EDT, BJ Dierkes
no flags Details | Diff

  None (edit)
Description BJ Dierkes 2007-08-27 11:13:36 EDT
Description of problem:

No /etc/hosts file created.


Version-Release number of selected component (if applicable):

0.7.2


How reproducible:

Perform anything that needs to 'init' a build root.


Steps to Reproduce:
1. mock -r<config> init

  
Actual results:

No /etc/hosts file created.


Expected results:

/etc/hosts file created, with atleast an entry for localhost.


Additional info:

This is a minor change, however certain build require localhost to resolve to
127.0.0.1.  For example, MySQL test suites run a MySQL instance running on
localhost.  If 'localhost' does not resolve (meaning, there is no entry in
/etc/hosts for it) then the test cases fail.
Comment 1 BJ Dierkes 2007-08-27 11:13:36 EDT
Created attachment 173761 [details]
Patch to create /etc/hosts with a localhost entry.
Comment 2 Tuomo Soini 2007-09-09 15:20:19 EDT
I'd suggest copying system /etc/hosts file into mock chroot instead of
generating new one.
Comment 3 Clark Williams 2008-03-07 15:31:56 EST
the current version of mock creates a default hosts file with localhost entry.
If you want to use a copy of the system hosts file, you can create a chroot then
use the --copyin function to overwrite the default.

Note You need to log in before you can comment on or make changes to this bug.